HOSTCONFIG(8C)

NAME
hostconfig - configure a system's host parameters

SYNOPSIS
/usr/etc/hostconfig -p protocol [ -d ] [ -v ] [ -n ] [ -i interface ] [ -f hostname ]

DESCRIPTION

The hostconfig program uses a network protocol to acquire a machine's ``host parameters'' and then sets these parameters on the system. The program selects which protocol to use based on the argument to the required -p flag. Different protocols may set different host parameters. Currently, two protocols are defined but only one protocol is supported.

OPTIONS

-p bootparams
    Use the ``whoami'' call of the Sun RPC ``bootparams'' protocol. This sets the system's hostname, domainname, and default IP router parameters.

-p bootp
    Use the BOOTP protocol [not currently supported].

-d  Enable ``debug'' output.

-v  Enable verbose output.

-n  Run the network protocol, but do not set the acquired parameters into the system.

-i interface
    Use only the named network interface to run the protocol.

-f hostname
    Run the protocol as if this machine were named hostname.

EXAMPLES

To configure a machine's host parameters using the ``bootparams whoami'' protocol, getting a verbose output:

    hostconfig -p bootparams -v

To see what parameters would be set using the ``bootparams whoami'' protocol:

    hostconfig -p bootparams -n -v

SEE ALSO
hostname(1), domainname(1), bootparam(3R), route(8C)